Create an opportunity

circle-info

When creating an opportunity, you must specify the pipeline and stage to which the opportunity belongs, along with the customer linked to the opportunity.

post

Create a new opportunity

Authorizations
AuthorizationstringRequired

Bearer {apikey}

Path parameters
agentIdstringRequired

The ID of the agent.

Body
namestring · min: 1Required

The name of the opportunity.

customerIdstringRequired

The ID of the customer associated with the opportunity.

pipelineIdstringRequired

The ID of the opportunity pipeline.

stageIdstringRequired

The ID of the pipeline stage.

ownerIdstring · nullableOptional

The ID of the user that own the opportunity.

scoreinteger · max: 100 · nullableOptional

The score indicating the likelihood of closing the opportunity.

amountnumber · nullableOptional

The monetary value of the opportunity, if applicable.

tagsstring[]Optional

The tags associated with the opportunity.

Responses
chevron-right
200

Successful Response

application/json

This an object representing a sales opportunity.

idstringOptional

The ID of the opportunity.

namestringOptional

The name of the opportunity.

customerIdstringOptional

The ID of the customer the opportunity belongs to.

ownerIdstring · nullableOptional

The ID of the owner of the opportunity.

scorenumber · nullableOptional

The score of the opportunity.

amountnumber · nullableOptional

The amount of the opportunity.

stageIdstringOptional

The ID of the stage the opportunity belongs to.

pipelineIdstringOptional

The ID of the pipeline the opportunity belongs to.

createdAtstring · date-timeOptional

The date and time the opportunity was created in ISO 8601 format.

updatedAtstring · date-timeOptional

The date and time the opportunity was last updated in ISO 8601 format.

removedbooleanOptional

Whether the opportunity has been removed.

tagsstring[]Optional

The tags associated with the opportunity.

post
/v1/agents/{agentId}/opportunities

Last updated